package com.mmc.iuav.user.dao;

import com.mmc.iuav.user.entity.RealNameAuthDO;
import com.mmc.iuav.user.model.qo.RealNameAuthQO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author: zj
 * @Date: 2023/7/27 10:05
 */
@Mapper
public interface RealNameAuthDao {
    RealNameAuthDO existHasBeenAuth(String unionId, String idNumber);

    RealNameAuthDO getRealNameAuthByUnionId(String unionId);

    RealNameAuthDO getRealNameAuthBakByUnionId(String unionId);

    void addRealNameAuth(RealNameAuthDO realNameAuthDO);

    void updateRealNameAuth(RealNameAuthDO realNameAuthDO);

    RealNameAuthDO getRealNameAuthByUId(Integer userAccountId);

    RealNameAuthDO getRealNameAuthById(Integer id);

    int countListRealNameAuth(RealNameAuthQO realNameAuthQO);

    List<RealNameAuthDO> listRealNameAuth(RealNameAuthQO realNameAuthQO);

    RealNameAuthDO userDetail(Integer userAccountId);

    void updateRealNameAuthRemark(Integer id, String remark);

    int getRealNameAuthCount();
}
